Summary: Taipei Chinese Big 5 Fonts 
Name: taipeifonts
Version: 1.2
Release: 15
Copyright: Distributable
Group: User Interface/X
Source: taipeifonts-1.2.tar.gz
Source1: taipeifonts.alias
Prereq: /bin/grep, XFree86, /bin/cat 
# Requires: 
Packager: Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Buildroot: /tmp/taipei
BuildArchitectures: noarch        
Provides: zh-pcf-fonts, taipei16, taipeik20, taipeik24, taipeim20, taipeim24
## Conflicts: twmoe_ming-xfonts 

%description

These are chinese big5 taipei fonts. The fonts.alias file was fixed to fit 
the usage of CXwin & XA & xcin & lyx & Netscape.
There are five fonts in this package, three chinese & two english.
taipei16.pcf, taipeim20.pcf, taipeim24.pcf, vga12x24.pcf.
Only ming-face fonts were included. Aliases are used to fake CXwin.

%prep

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc

%setup

%build

bdftopcf taipei24.bdf | gzip -c > taipei24.pcf.gz
bdftopcf taipei20.bdf | gzip -c > taipei20.pcf.gz
bdftopcf taipei16.bdf | gzip -c > taipei16.pcf.gz

%install

install -m 644 taipei24.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/
install -m 644 taipei20.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/
install -m 644 taipei16.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/
install -m 644 vga12x24.pcf.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/
install -m 644 $RPM_SOURCE_DIR/taipeifonts.alias $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/

%postun

if [ ! -f /usr/X11R6/lib/X11/fonts/misc/taipeifonts.alias ] ; then
    if [ -f /usr/X11R6/lib/X11/fonts/misc/fonts.alias ] ; then
        cat /usr/X11R6/lib/X11/fonts/misc/fonts.alias | grep -v "\!ByRPM" > /tmp/fonts.alias.tmp
        mv -f /tmp/fonts.alias.tmp /usr/X11R6/lib/X11/fonts/misc/fonts.alias
        /usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc/
    fi
fi

## xset fp rehash

%post

if [ -f /usr/X11R6/lib/X11/fonts/misc/fonts.alias ] ; then
    cat /usr/X11R6/lib/X11/fonts/misc/fonts.alias | \
		grep -v "\!ByRPM" > /tmp/fonts.alias.tmp
    mv -f /tmp/fonts.alias.tmp /usr/X11R6/lib/X11/fonts/misc/fonts.alias
    cat /usr/X11R6/lib/X11/fonts/misc/taipeifonts.alias >> /usr/X11R6/lib/X11/fonts/misc/fonts.alias 
    /usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc/
fi

## xset fp rehash

%files
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/misc/taipei16.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/taipei20.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/taipei24.pcf.gz            
/usr/X11R6/lib/X11/fonts/misc/vga12x24.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/taipeifonts.alias

%changelog
* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for RHL 7.2

* Sun Dec 12 2000 Cheng Yuan-Chung <platin@linux.org.tw>
- last packager

* Sun Sep 17 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- change alias to -default-ming
- add %defattr

* Tue Nov  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- "%triggerin -- XFree86"  change to "%post" + "%Prereq:"

* Thu Mar 18 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- fonts.alias bug fix
- scripts fixed

* Mon Dec 14 1998 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- uninstall script bug fix

* Thu Nov  5 1998 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- rebuild on redhat-5.2

* Fri Oct  2 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- alias to fit the new ttfed X-Server

* Wed Sep  2 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- Group --> Extensions/Chinese

* Mon Jul 20 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- move the font dir to misc
- remove 8x16.pcf.gz

* Thu Jun 18 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- Change the group tag to Extensions/chinese 

* Thu Jun 11 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>

- Revised the font file. Now those file was created from the bdf fonts 
  included in GNU's `intlfonts' package.
- Conflict: tag added

* Tue Apr 14 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>
- Revised the fonts.alias file to fit the useage of lyx-I18N

* Fri Jan  9 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw> 
- add fonts 8x16.pcf.gz && vga12x24.pcf.gz

* Thu Jan  1 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>
- will automatically change the FontPath lines in XF86Config
- - must have perl

%clean

rm -rf $RPM_BUILD_ROOT


